Package org.opensaml.saml.saml2.ecp

# Interface Request

All Superinterfaces:
  `ActorBearing`, `MustUnderstandBearing`, `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `RequestImpl`

public interface Request extends SAMLObject, MustUnderstandBearing, ActorBearing
SAML 2.0 ECP Request SOAP header.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`IS_PASSIVE_NAME_ATTRIB_NAME`
IsPassive attribute name.
`static final String`
`PROVIDER_NAME_ATTRIB_NAME`
ProviderName attribute name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

### Fields inherited from interface org.opensaml.soap.soap11.ActorBearing

`SOAP11_ACTOR_ATTR_LOCAL_NAME, SOAP11_ACTOR_ATTR_NAME, SOAP11_ACTOR_NEXT`

### Fields inherited from interface org.opensaml.soap.soap11.MustUnderstandBearing

`SOAP11_MUST_UNDERSTAND_ATTR_LOCAL_NAME, SOAP11_MUST_UNDERSTAND_ATTR_NAME`

## Method Summary

Modifier and Type
Method
Description
`IDPList`
`getIDPList()`
Get the IDPList child element.
`Issuer`
`getIssuer()`
Get the Issuer child elemet.
`String`
`getProviderName()`
Get the ProviderName attribute value.
`Boolean`
`isPassive()`
Get the IsPassive attribute value.
`XSBooleanValue`
`isPassiveXSBoolean()`
Get the IsPassive attribute value.
`void`
`setIDPList(IDPList newIDPList)`
Set the IDPList child element.
`void`
`setIssuer(Issuer newIssuer)`
Set the Issuer child elemet.
`void`
`setPassive(Boolean newIsPassive)`
Set the IsPassive attribute value.
`void`
`setPassive(XSBooleanValue newIsPassive)`
Set the IsPassive attribute value.
`void`
`setProviderName(String newProviderName)`
Set the ProviderName attribute value.

### Methods inherited from interface org.opensaml.soap.soap11.ActorBearing

`getSOAP11Actor, setSOAP11Actor`

### Methods inherited from interface org.opensaml.soap.soap11.MustUnderstandBearing

`isSOAP11MustUnderstand, isSOAP11MustUnderstandXSBoolean, setSOAP11MustUnderstand, setSOAP11MustUnderstand`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### PROVIDER_NAME_ATTRIB_NAME

@Nonnull @NotEmpty static final String PROVIDER_NAME_ATTRIB_NAME
ProviderName attribute name.

See Also:
  - Constant Field Values

### IS_PASSIVE_NAME_ATTRIB_NAME

@Nonnull @NotEmpty static final String IS_PASSIVE_NAME_ATTRIB_NAME
IsPassive attribute name.

See Also:
  - Constant Field Values

## Method Details

### getIssuer

@Nullable Issuer getIssuer()
Get the Issuer child elemet.

Returns:
  the Issuer child element

### setIssuer

void setIssuer(@Nullable Issuer newIssuer)
Set the Issuer child elemet.

Parameters:
  `newIssuer` - the new Issuer child element

### getIDPList

@Nullable IDPList getIDPList()
Get the IDPList child element.

Returns:
  the IDPList child element

### setIDPList

void setIDPList(@Nullable IDPList newIDPList)
Set the IDPList child element.

Parameters:
  `newIDPList` - the new IDPList child element

### getProviderName

@Nullable String getProviderName()
Get the ProviderName attribute value.

Returns:
  the ProviderName attribute value

### setProviderName

void setProviderName(@Nullable String newProviderName)
Set the ProviderName attribute value.

Parameters:
  `newProviderName` - the new ProviderName attribute value

### isPassive

@Nullable Boolean isPassive()
Get the IsPassive attribute value.

Returns:
  the IsPassive attribute value

### isPassiveXSBoolean

@Nullable XSBooleanValue isPassiveXSBoolean()
Get the IsPassive attribute value.

Returns:
  the IsPassive attribute value

### setPassive

void setPassive(@Nullable Boolean newIsPassive)
Set the IsPassive attribute value.

Parameters:
  `newIsPassive` - the new IsPassive attribute value

### setPassive

void setPassive(@Nullable XSBooleanValue newIsPassive)
Set the IsPassive attribute value.

Parameters:
  `newIsPassive` - the new IsPassive attribute value